%global modulename electron-to-chromium

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-electron-to-chromium
Version:        1.3.84
Release:        1%{?dist}
Summary:        Provides a list of electron-to-chromium version mappings

License:        ISC
URL:            https://github.com/kilian/electron-to-chromium#readme
Source0:        https://registry.npmjs.org/electron-to-chromium/-/electron-to-chromium-1.3.84.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Provides a list of electron-to-chromium version mappings

%package 1.3.84
Summary:        Provides a list of electron-to-chromium version mappings


%description 1.3.84
Provides a list of electron-to-chromium version mappings

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr chromium-versions.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr full-chromium-versions.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr full-versions.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr versions.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.3.84
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 1.3.84-1
- Package automatically generated by npm2srpm
